# 4 仓库

# 4.1 仓库信息

# 1.1 获取仓库信息 (GET)

# URL

https://developers.cjdropshipping.com/api2.0/v1/warehouse/detail

# CURL

curl --location 'https://developers.cjdropshipping.com/api2.0/v1/warehouse/detail?id=201e67f6ba4644c0a36d63bf4989dd70' \
     --header 'CJ-Access-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' \
Parameter Definition Type Required Length Note
id 仓库id string Y 200 Query

# Return

success

{
    "code": 200,
    "result": true,
    "message": "Success",
    "data": {
        "id": "201e67f6ba4644c0a36d63bf4989dd70",
        "name": "Cranbury Warehouse",
        "areaId": 2,
        "areaCountryCode": "US",
        "address1": "Cranbury, New Jersey ",
        "address2": null,
        "contacts": null,
        "phone": "+1-9095862127",
        "city": "Cranbury",
        "province": "New Jersey",
        "logisticsBrandList": [
            {
                "id": "USPS",
                "name": "USPS"
            },
            {
                "id": "FedEx",
                "name": "FedEx"
            },
            {
                "id": "UPS",
                "name": "UPS"
            },
            {
                "id": "GOFO",
                "name": "GOFO"
            },
            {
                "id": "DHL",
                "name": "DHL"
            },
            {
                "id": "UniUni",
                "name": "UniUni"
            },
            {
                "id": "CBT",
                "name": "CBT"
            }
        ],
        "isSelfPickup": null,
        "zipCode": null
    },
    "requestId": "2b97f15603384fe4832e85617cf07d9c",
    "success": true
}
Field Definition Type Length Note
id 仓库id string 200
name 仓库名称 string 200
areaId 区域id integer 200
areaCountryCode 区域国家二字码 string 200
province 省份 string 200
city 城市 string 200
address1 地址1 string 200
address2 地址2 string 200
contacts 联系人 string 200
phone 联系人电话 string 200
isSelfPickup 是否支持自提 integer 1 1: 支持 0: 不支持
zipCode 邮政编码 string 200
logisticsBrandList 支持的品牌列表 list 200
- id 品牌ID string 200
- name 品牌Name string 200

error

{
    "code": 1608001,
    "result": false,
    "message": "Warehouse info not found",
    "data": null,
    "requestId": "c5d92fbc9c794c5caa0ce453dd9c9236",
    "success": false
}
Field Definition Type Length Note
code error code int 20 Reference error code
result Whether or not the return is normal boolean 1
message return message string 200
data return data object interface data return
requestId requestId string 48 Flag request for logging errors